﻿using HeuristicLab.Clients.Common;
using HeuristicLab.Services.Hive.Common.ServiceContracts;

namespace HeuristicLab.Clients.Hive.LifecycleClient {
  class Program {
    private static void Main(string[] args) {
      using (var factory = ClientFactory.CreateChannelFactory<IHiveService>("wsHttpBinding_IHiveService", null, "hiveslave", "hiveslave")) {
        IHiveService client = factory.Obj.CreateChannel();
        client.TriggerLifecycle(true);
      }
    }
  }
}
